Agora RTC Objective-C API Reference Refactor

Data Fields
EncodedVideoFrameInfo Struct Reference

## Data Fields
uid_t | uid
VIDEO_CODEC_TYPE | codecType
int | width
int | height
int | framesPerSecond
VIDEO_FRAME_TYPE | frameType
VIDEO_ORIENTATION | rotation
int | trackId
int64_t | captureTimeMs
int64_t | decodeTimeMs
VIDEO_STREAM_TYPE | streamType

## Detailed Description

The definition of the EncodedVideoFrameInfo struct, which contains the information of the external encoded video frame.

## Constructor & Destructor Documentation

## ◆ EncodedVideoFrameInfo() [1/2]

EncodedVideoFrameInfo | ( |  | ) |
| inline

## ◆ EncodedVideoFrameInfo() [2/2]

EncodedVideoFrameInfo | ( | const EncodedVideoFrameInfo & | rhs | ) |
| inline

## Member Function Documentation

## ◆ operator=()

EncodedVideoFrameInfo& operator= | ( | const EncodedVideoFrameInfo & | rhs | ) |
| inline

## Field Documentation

## ◆ uid

uid_t uid

ID of the user that pushes the the external encoded video frame..

## ◆ codecType

VIDEO_CODEC_TYPE codecType

The codec type of the local video stream. See VIDEO_CODEC_TYPE. The default value is `VIDEO_CODEC_H265 (3)`.

## ◆ width

int width

The width (px) of the video frame.

## ◆ height

int height

The height (px) of the video frame.

## ◆ framesPerSecond

int framesPerSecond

The number of video frames per second. When this parameter is not 0, you can use it to calculate the Unix timestamp of the external encoded video frames.

## ◆ frameType

VIDEO_FRAME_TYPE frameType

The video frame type: VIDEO_FRAME_TYPE.

## ◆ rotation

VIDEO_ORIENTATION rotation

The rotation information of the video frame: VIDEO_ORIENTATION.

## ◆ trackId

int trackId

The track ID of the video frame.

## ◆ captureTimeMs

int64_t captureTimeMs

This is a input parameter which means the timestamp for capturing the video.

## ◆ decodeTimeMs

int64_t decodeTimeMs

The timestamp for decoding the video.

## ◆ streamType

VIDEO_STREAM_TYPE streamType

The stream type of video frame.

## ◆ presentationMs

int64_t presentationMs